Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(152)

Issue 2481693002: [MD History] Make forward/backward work in grouped mode. (Closed)

Created:
3 years, 9 months ago by calamity
Modified:
3 years, 8 months ago
Reviewers:
tsergeant, Dan Beam
CC:
chromium-reviews, asanka, Patrick Dubroy, michaelpg+watch-md-ui_chromium.org, dbeam+watch-history_chromium.org, pam+watch_chromium.org, arv+watch_chromium.org, dbeam+watch-downloads_chromium.org, chrome-apps-syd-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[MD History] Make forward/backward work in grouped mode. This CL hooks up the toolbar forward and backward buttons in grouped mode to change the search timeframe for week and month queries. BUG=589357 TBR=dbeam@chromium.org CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Committed: https://crrev.com/5530edba1faf254b998c041300f801739c6a6d5a Cr-Commit-Position: refs/heads/master@{#435547}

Patch Set 1 : #

Total comments: 10

Patch Set 2 : rebase #

Patch Set 3 : address comments #

Total comments: 2

Patch Set 4 : fix test #

Patch Set 5 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+333 lines, -232 lines) Patch
M chrome/browser/resources/md_downloads/vulcanized.html View 1 2 3 4 23 chunks +87 lines, -77 lines 0 comments Download
M chrome/browser/resources/md_history/app.html View 1 2 1 chunk +11 lines, -8 lines 0 comments Download
M chrome/browser/resources/md_history/app.js View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M chrome/browser/resources/md_history/app.crisper.js View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/browser/resources/md_history/app.vulcanized.html View 1 2 3 4 16 chunks +105 lines, -95 lines 0 comments Download
M chrome/browser/resources/md_history/grouped_list.js View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/resources/md_history/history_toolbar.html View 1 2 1 chunk +17 lines, -8 lines 0 comments Download
M chrome/browser/resources/md_history/history_toolbar.js View 1 2 7 chunks +43 lines, -31 lines 0 comments Download
M chrome/browser/resources/md_history/lazy_load.vulcanized.html View 1 2 3 4 9 chunks +14 lines, -6 lines 0 comments Download
M chrome/browser/resources/md_history/list_container.js View 1 2 4 chunks +16 lines, -1 line 0 comments Download
M chrome/test/data/webui/md_history/history_toolbar_test.js View 1 chunk +31 lines, -1 line 0 comments Download
M chrome/test/data/webui/md_history/test_util.js View 1 2 3 1 chunk +6 lines, -2 lines 0 comments Download

Messages

Total messages: 42 (29 generated)
calamity
3 years, 9 months ago (2016-11-10 03:19:32 UTC) #6
tsergeant
Yay, I'm glad that databinding made this relatively easy to do. https://codereview.chromium.org/2481693002/diff/60001/chrome/browser/resources/md_history/history_toolbar.html File chrome/browser/resources/md_history/history_toolbar.html (right): ...
3 years, 9 months ago (2016-11-11 02:34:27 UTC) #7
calamity
https://codereview.chromium.org/2481693002/diff/60001/chrome/browser/resources/md_history/history_toolbar.html File chrome/browser/resources/md_history/history_toolbar.html (right): https://codereview.chromium.org/2481693002/diff/60001/chrome/browser/resources/md_history/history_toolbar.html#newcode234 chrome/browser/resources/md_history/history_toolbar.html:234: <span id="grouped-date" hidden$="[[querying]]"> On 2016/11/11 02:34:27, tsergeant wrote: > ...
3 years, 8 months ago (2016-11-22 06:44:56 UTC) #12
tsergeant
Generally looks good, but the tests are currently failing https://codereview.chromium.org/2481693002/diff/140001/chrome/test/data/webui/md_history/history_toolbar_test.js File chrome/test/data/webui/md_history/history_toolbar_test.js (left): https://codereview.chromium.org/2481693002/diff/140001/chrome/test/data/webui/md_history/history_toolbar_test.js#oldcode98 chrome/test/data/webui/md_history/history_toolbar_test.js:98: ...
3 years, 8 months ago (2016-11-23 05:46:48 UTC) #15
calamity
https://codereview.chromium.org/2481693002/diff/140001/chrome/test/data/webui/md_history/history_toolbar_test.js File chrome/test/data/webui/md_history/history_toolbar_test.js (left): https://codereview.chromium.org/2481693002/diff/140001/chrome/test/data/webui/md_history/history_toolbar_test.js#oldcode98 chrome/test/data/webui/md_history/history_toolbar_test.js:98: app.set('queryState_.searchTerm', ''); On 2016/11/23 05:46:48, tsergeant wrote: > This ...
3 years, 8 months ago (2016-11-24 06:45:18 UTC) #17
tsergeant
lgtm
3 years, 8 months ago (2016-11-24 06:52:52 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2481693002/180001
3 years, 8 months ago (2016-12-01 03:37:57 UTC) #29
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/316109)
3 years, 8 months ago (2016-12-01 03:45:51 UTC) #31
calamity
TBR-ing dbeam for md_downloads/vulcanized.html
3 years, 8 months ago (2016-12-01 03:51:06 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2481693002/180001
3 years, 8 months ago (2016-12-01 03:51:42 UTC) #36
commit-bot: I haz the power
Committed patchset #5 (id:180001)
3 years, 8 months ago (2016-12-01 03:54:57 UTC) #39
commit-bot: I haz the power
Patchset 5 (id:??) landed as https://crrev.com/5530edba1faf254b998c041300f801739c6a6d5a Cr-Commit-Position: refs/heads/master@{#435547}
3 years, 8 months ago (2016-12-01 03:57:36 UTC) #41
Dan Beam
3 years, 8 months ago (2016-12-01 03:58:09 UTC) #42
Message was sent while issue was closed.
er, md_downloads lgtm i suppose

Powered by Google App Engine
This is Rietveld 408576698